#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/bin/get_params.sh
if [ ! "${_TRIGO_STOP}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_rmiregistry.sh
fi

SVC_NAME=rmi_${SHORT_HOSTNAME}
. ${ADMIN_DIR}/init_svc_vars.sh
. ${TOP}/bin/read_config_file.sh ${TRIGO_ETC_DIR}/default/austin.properties

RMI_PORT=${_TRIGO_CONF_RMI_PORT}
${ECHO} "starting rmiregistry on port $RMI_PORT"
startWithLogs ${RMIREGISTRY_CMD} -J-Djava.security.policy=${POLICY_FILE} -J-DTOP=${TOP} -J-DTRIGO_ETC_DIR=${TRIGO_ETC_DIR} -J-Dfile.encoding=ISO8859_1 $RMI_PORT
