#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/src/db/schema/util/set_db.sh --confirm_db=no

if [ ${TRIGO_DB} = "db2" ] && [ "${PLATFORM}" != "WINDOWS" ] && [ "${PLATFORM}" != "CYGWIN" ]; then  
	${TRIGO_SQLPLUS_LOGIN} ${CONNECTION}
	${DB_DISCONNECT}
else
	${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 
    ${DB_DISCONNECT}
EOF
fi